LIBJXL

Loading...
Searching...
No Matches
Classes | Functions
gain_map.h File Reference
JPEG XL library (libjxl) » Image and frame metadata

Utility functions to manipulate jhgm (gain map) boxes. More...

`#include <jxl/color_encoding.h>`
`#include <jxl/jxl_export.h>`
`#include <jxl/types.h>`
Include dependency graph for gain_map.h:

Go to the source code of this file.

## Classes
struct | JxlGainMapBundle

## Functions
JXL_EXPORT JXL_BOOL | JxlGainMapGetBundleSize (const JxlGainMapBundle *map_bundle, size_t *bundle_size)
JXL_EXPORT JXL_BOOL | JxlGainMapWriteBundle (const JxlGainMapBundle *map_bundle, uint8_t *output_buffer, size_t output_buffer_size, size_t *bytes_written)
JXL_EXPORT JXL_BOOL | JxlGainMapReadBundle (JxlGainMapBundle *map_bundle, const uint8_t *input_buffer, size_t input_buffer_size, size_t *bytes_read)

## Detailed Description

Utility functions to manipulate jhgm (gain map) boxes.